# Create a Wallet

You can use this API to create wallet funding account for users. A user must be registered and KYC/KYB must be VERIFIED before a wallet funding source can be added for the user. To register a user and conduct their KYC/KYB, please follow the details [here](/api-references/user/initiate-verification.md). Please also note that for business users, they be registered with `deposit_enabled`: true for them to be able to create a wallet. Only one wallet account can be added for a specific verified user.&#x20;

#### **`POST /users/{userId}/funds/wallets`**

{% tabs %}
{% tab title="Parameters" %}

| **Field**             | **Type** | **Description**                                                       |
| --------------------- | -------- | --------------------------------------------------------------------- |
| funding\_source\_type | String   | Response Type of funding source “WALLET”                              |
| id                    | String   | Unique wallet ID once a wallet is successfully created                |
| user\_id              | UUID     | ID of the wallet user                                                 |
| verification\_status  | String   | Status of wallet. Wallet in verified status can be used for transfers |
| nick\_name            | String   | Nickname for the wallet                                               |

{% endtab %}

{% tab title="Request Sample" %}

```
curl --location -g --request POST '{{url}}/users/{{userId}}/funds/wallets' \
--header 'X-Client-Id:{{client_id}} ' \
--header 'X-Client-Secret:{{client_secret}}' \
--data-raw '{
    "nick_name": "My Wallet"
}'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
  "funding_source_type": "WALLET",
  "id": UUID,
  "user_id": UUID,
  "verification_status": "VERIFIED",
  "nick_name": "My Wallet"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/create-a-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
